DefaultEdge (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.DefaultEdge class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultEdge

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.jgraph.graph.DefaultGraphCell
              org.jgraph.graph.DefaultEdge

All Implemented Interfaces:
  Cloneable, Edge, GraphCell, MutableTreeNode, Serializable, TreeNode

public class DefaultEdge
extends DefaultGraphCell
implements Edge

A simple implementation for an edge.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DefaultEdge.DefaultRouting`
`static class` | `DefaultEdge.LoopRouting`

Nested classes inherited from class org.jgraph.graph.Edge
`Edge.Routing`

Field Summary
`protected Object` | `source` Source and target of the edge.
`protected Object` | `target` Source and target of the edge.

Fields inherited from class org.jgraph.graph.DefaultGraphCell
`attributes`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`DefaultEdge()` Constructs an empty edge.
`DefaultEdge(Object userObject)` Constructs an edge that holds a reference to the specified user object.
`DefaultEdge(Object userObject, AttributeMap storageMap)` Constructs an edge that holds a reference to the specified user object and sets default values for points and the label position.

Method Summary
`Object` | `clone()` Create a clone of the cell.
`Object` | `getSource()` Returns the source of the edge.
`Object` | `getTarget()` Returns the target of the edge.
`void` | `setSource(Object port)` Sets the source of the edge.
`void` | `setTarget(Object port)` Returns the target of `edge`.

Methods inherited from class org.jgraph.graph.DefaultGraphCell
`addPort, addPort, addPort, changeAttributes, getAttributes, getChildren, setAttributes`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgraph.graph.GraphCell
`changeAttributes, getAttributes, setAttributes`

Field Detail

### source

    protected Object source

  Source and target of the edge.

### target

    protected Object target

  Source and target of the edge.

Constructor Detail

### DefaultEdge

    public DefaultEdge()

  Constructs an empty edge.

### DefaultEdge

    public DefaultEdge(Object userObject)

  Constructs an edge that holds a reference to the specified user object.

Parameters:
  `userObject` - reference to the user object

### DefaultEdge

    public DefaultEdge(Object userObject,
                       AttributeMap storageMap)

  Constructs an edge that holds a reference to the specified user object and sets default values for points and the label position.

Parameters:
  `userObject` - reference to the user object

Method Detail

### getSource

    public Object getSource()

  Returns the source of the edge.

  Specified by:
    `getSource` in interface `Edge`

### getTarget

    public Object getTarget()

  Returns the target of the edge.

  Specified by:
    `getTarget` in interface `Edge`

### setSource

    public void setSource(Object port)

  Sets the source of the edge.

  Specified by:
    `setSource` in interface `Edge`

### setTarget

    public void setTarget(Object port)

  Returns the target of `edge`.

  Specified by:
    `setTarget` in interface `Edge`

### clone

    public Object clone()

  Create a clone of the cell. The cloning of the user object is deferred to the cloneUserObject() method. The source and target references are set to null.

  Overrides:
    `clone` in class `DefaultGraphCell`
  Returns:
    Object a clone of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.